Jump to content
Sign in to follow this  
CamDawg

G3 Anniversary v10 Now Available

Recommended Posts

The celebration rolls on with an entirely appropriate update to the G3 Anniversary mod, which was created by the resident modders on the site's first anniversary as a way to thank our wonderful community. It features one long (and admittedly somewhat silly) quest that can be initiated by speaking a Drini, a half-elf in the Copper Coronet. The new version has been updated for EET compatibility and fixes some longstanding bugs with the events at the Sea's Bounty.

v10 Changelog

  • Fixed errors in the Corradun sequence in the Sea's Bounty
  • EET compatibility

Share this post


Link to post

I think the tisunpack still needs to be updated on the mac version. I got this error /bin/sh: g3anniversary/tiz/osx/tisunpack: Bad CPU type in executable. I swapped out the tisunpack with a more recent one and the error went away. Thank you for all the great updates by the way.

Share this post


Link to post

I think the tisunpack still needs to be updated on the mac version. I got this error /bin/sh: g3anniversary/tiz/osx/tisunpack: Bad CPU type in executable. I swapped out the tisunpack with a more recent one and the error went away. Thank you for all the great updates by the way.

Thanks for letting me know--I've repackaged the OS X version of v10 with an updated tisunpack (same link as OP).

Share this post


Link to post

This litle mod is so great, thank you for the update.

 

But could you check the file setup.tra : in the v9 version it did contain some ASCII caracters that are strangely converted into UTF8.

 

 

 


é

 

 

 

may be it's harmless now, but some of those caracters had given me problems on EE.

Share this post


Link to post

The .tra -files are not "UTF8 not Bom" or whatever it was, they use the languages own codec that in English case is the Windows 1252, aka Latin. The .tp2's content has to be in the UTF8... but that's why it uses the @number system.

Share this post


Link to post

ok, let me explain

if you install a mod created for the classic edition under EE, if it use a foreing translation like german or french,
you must use handle_charset in your tp2 or they crash

this is normally not require for a mod only in english, because most english character display the same in the classic edition and in the EE

but some english translation use character outside the range of character that display the same in EE and in the classic edition ( i m clear ? )

so for those mod you should use handle_charset for the english translation too, or they crash under EE


the g3anniversary mod use those character and need handle_charset (i personnaly replace those character with character that look like and don't need handle_charset)

Edited by Ikki

Share this post


Link to post

A tra-ified tp2 like G3A's doesn't need to be run through HANDLE_CHARSETs since all the text that's going into the game has been pushed into the tra files.

 

After some testing: everything works fine in the original. In the EE, the book using the é crashes the game (thankfully it's just an optional, background item) and the other characters show up as empty boxes in dialogue. We'll get this fixed.

 

edit: fixed in v11.

Edited by CamDawg

Share this post


Link to post
Guest
You are commenting as a guest. If you have an account, please sign in.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×